<?php
/*
Plugin Name: WooCommerce Zen Payment
Plugin URI: https://zen.co
Description: Add payment via Zen to WooCommerce
Version: 1.0.8
Author: Zen <helpdesk@zen.co>
Author URI: http://zen.co
Text Domain: zen_payment
*/

add_action('plugins_loaded', 'init_woocommerce_gateway_zen_payment', 0);

/**
 * Init function that runs after plugin install.
 */
function init_woocommerce_gateway_zen_payment()
{
	require_once __DIR__ . "/includes/libs/payment-core/vendor/autoload.php";

	if(!class_exists('WC_Payment_Gateway')) {
		return;
	}
	define('WOOCOMMERCE_ZEN_PAYMENT_PLUGIN_DIR', plugin_dir_path(__FILE__));
	define('WOOCOMMERCE_ZEN_PAYMENT_PLUGIN_URL', plugin_dir_url(__FILE__));
	load_plugin_textdomain('zen_payment', false, dirname(plugin_basename(__FILE__)) . '/langs/');

	require_once('includes/class.WCGatewayZenPayment.php');

	add_filter('woocommerce_payment_gateways', 'add_zen_payment_gateway');
}

/**
 * @param $methods
 *
 * @return array
 */
function add_zen_payment_gateway($methods)
{
	$methods[] = 'WC_Gateway_Zen_Payment';

	return $methods;
}
